<?php

namespace Drupal\cms_content_sync\Cli;

/**
 * Interface ICLIIO.
 *
 * @package Drupal\cms_content_sync\Cli
 */
interface ICLIIO {

  /**
   * Ask the user to confirm interactively.
   *
   * @param string $text
   * @param bool $default
   *
   * @return bool
   */
  public function confirm($text, $default = TRUE);

  /**
   * @param string $text
   *
   * @return void
   */
  public function success($text);

  /**
   * @param string $text
   *
   * @return void
   */
  public function warning($text);

  /**
   * @param string $text
   *
   * @return void
   */
  public function error($text);

  /**
   * @param string $text
   *
   * @return void
   */
  public function text($text);

}
